=== debian/changelog ===
ros-r2b3-poco-vendor (0.0.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Steven! Ragnarök <steven@openrobotics.org>  Wed, 13 Sep 2017 23:51:30 -0000
