=== debian/control ===
Source: ros-r2b3-poco-vendor
Section: misc
Priority: extra
Maintainer: Steven! Ragnarök <steven@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libpoco-dev, ros-r2b3-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-r2b3-poco-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cmake, libpoco-dev, ros-r2b3-ros-workspace
Description: CMake shim over the poco library.
